
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Webkit中HTML5 Video的实现分析(六) - Safari视频机制分析 / iVAN</title>

    <meta name="description" content="Webkit中HTML5 Video的实现分析(六) - Safari视频机制分析 Safari中的视频相关操作封装在QuickTime Plugin里面,存放于/Library/Internet Plugin目录下.   下图是相关类的class diagram: 其中的QuickTime Plugin是通过已淘汰的Apple之前定义的Webkit Plugin协议来实现的,而不是现在支持的Netscape API的机制. 可以参考以下文档:        Introduction to WebKit Plugin Programming Topic           We">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Webkit中HTML5 Video的实现分析(六) - Safari视频机制分析</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>Safari中的视频相关操作封装在QuickTime Plugin里面，存放于/Library/Internet Plugin目录下。</p>
<p> </p>
<p>下图是相关类的class diagram:</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLm15LmNzZG4ubmV0L3VwbG9hZHMvMjAxMjEyLzE5LzEzNTU4NTAwNDNfODgzMi5wbmc=.jpg"></p>
<p>其中的QuickTime Plugin是通过已淘汰的Apple之前定义的Webkit Plugin协议来实现的，而不是现在支持的Netscape<br />
 API的机制。</p>
<p>可以参考以下文档:</p>
<p>       <a href="https://developer.apple.com/library/mac/#documentation/InternetWeb/Conceptual/WebKit_PluginProgTopic" rel="external nofollow noreferrer">Introduction to WebKit Plugin Programming Topic</a>   </p>
<p>       <a href="https://developer.apple.com/library/mac/documentation/Cocoa/Reference/WebKit/Protocols/WebPlugIn_Protocol/WebPlugIn_Protocol.pdf" rel="external nofollow noreferrer">WebPlugin Protocol Reference</a></p>
<p>       <a href="https://developer.apple.com/library/mac/documentation/Cocoa/Reference/WebKit/Protocols/WebScripting_Protocol/WebScripting_Protocol.pdf" rel="external nofollow noreferrer">WebScripting Protocol Reference</a></p>
<p> </p>
<p>Safari/WebKit的源代码里仍然有对WebKit Plugin的支持,也就是为了视频的插件。</p>
<p>另外Safari并不是通过HTMLMediaElement::platformLayer()提供的CALayer,而是通过Widget::platformWidget()来返回CALayer的。</p>
<p> </p>
<p>以下是几张时序图帮助理解交互过程:</p>
<p> </p>
<p><strong>创建过程:</strong><br />
<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLm15LmNzZG4ubmV0L3VwbG9hZHMvMjAxMjEyLzE5LzEzNTU4NDk4NTlfMjkyMi5wbmc=.jpg"></p>
<p><strong>点击play按钮的操作序列:</strong></p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLm15LmNzZG4ubmV0L3VwbG9hZHMvMjAxMjEyLzE5LzEzNTU4NDk4OTFfMjcwNi5wbmc=.jpg"></p>
<p><strong><strong><br /></strong></strong></p>
<p><strong><strong>释放的时序图:</strong><br /></strong></p>
<p><strong><strong><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLm15LmNzZG4ubmV0L3VwbG9hZHMvMjAxMjEyLzE3LzEzNTU3NTkzNzFfNjUwMy5wbmc=.jpg"><br /></strong></strong></p>
<p><strong><strong><br /></strong></strong></p>
<p>下面是FigPluginView的类图，方便理解它内部的实现:</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxMzA1MjQxNzQxMTc5MjI=.jpg"></p>
<p>*最新UML图可以到<a href="https://github.com/HorkyChen/WebKit-Video-Documentation" rel="external nofollow noreferrer">GitHub</a>中下载。</p>
<p>上一篇:  <a href="http://blog.csdn.net/horkychen/article/details/8096732" rel="external nofollow noreferrer">Webkit中HTML5 Video的实现分析(五) - WebKit中视频事件的传递</a></p>
<p>转载请注明出处:<a href="http://blog.csdn.net/horkychen" rel="external nofollow noreferrer">http://blog.csdn.net/horkychen</a></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-01 21:55:24</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%8f%92%e4%bb%b6/" title="插件">插件</a>, <a href="https://www.iamivan.net/tag/%e5%ba%8f%e5%88%97/" title="序列">序列</a>, <a href="https://www.iamivan.net/tag/html5/" title="HTML5">HTML5</a>, <a href="https://www.iamivan.net/tag/plugin/" title="plugin">plugin</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Webkit中HTML5 Video的实现分析(六) - Safari视频机制分析的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOXaZvb.html" rel="bookmark">Webkit中HTML5 Video的实现分析&lpar;五&rpar; - WebKit中视频事件的传递</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				HTML的每个元素都可以让JavaScript在某些事件发生时,进行处理.就比如onclick=&quot;clickButton()&quot;之类的属性设定. 像下面这篇博客所讲的一样,在WebKit中每个元素都有其对应的JS绑定的实现: [WebKit]为JavaScript Binding添加新DOM对象的三种方式及实作 对于视频元素,可以对应看看JSHTMLMediaElement.cpp和JSHTMLVideoElement.cpp中的实现. 这里只说一下事件的处理机制.就是在WebKit中有			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyKG7Pz.html" rel="bookmark">Webkit中HTML5 Video的实现分析 &lpar;四&rpar; - 视频加载及播放的时序图</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				MediaPlayer同MediaPlayerPrivateInterface,再同播放控件的交互过程应当要简单.清晰.MediaPlayer通过自身的状态(Network States 和 Ready States)来控制操作的步骤.MediaPlayerPrivateInterface具体到不同的平台和视频格式,使用的具体的播放控件会不同. 这里仅贴一张时序图,其中没有特别区分HTMLVideoElement,使用的播放控件是Webkit默认的QuickTime组件.在调试时,最好要将UA调			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXdvJAp.html" rel="bookmark">Webkit中HTML5 Video的实现分析 &lpar;一&rpar; - 基本结构及HTMLMediaElement &amp;amp&semi;amp&semi; MediaPlayer</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				以下为针对Webkit中HTML5 Video实现原理的分析和学习总结.至于其中的UML图档,可以到下面的github链接中下载. 首先预览一下Webkit中和Video相关的主要的类的层次结构: 其中主要的类为HTMLMediaElement, MediaPlayer以及RenderVideo(左下角). HTMLMediaElement代表了DOM结点,其继承关系可以追溯到Node,也就是DOM的结点.网页中Video/Audio元件的解析就是由它的创建开始.JavaScript的视频操作A			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4W28qp.html" rel="bookmark">Webkit中HTML5 Video的实现分析 &lpar;三&rpar; - MediaPlayer &amp;amp&semi;amp&semi; MediaPlayerPrivate的生命周期</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				明确主要类的生命周期有助于更好理解Webkit中视频的工作流程.下图展示了类间的引用关系. 如HTMLVideoElement与一个MediaPlayer对应,MediaPlayer与MediaPlayerPrivate一一对应,它们都是一个组合关系,当所有者自身被析构时,会自动释放引用的实例.这个过程都是使用OwnPtr智能指针来实现的.   OwnPtr赋值操作的代码:        OwnPtr&amp; operator=(std::nullptr_t) { clear(); return *t			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZgwOYb.html" rel="bookmark">Webkit中HTML5 Video的实现分析 &lpar;二&rpar; - MediaPlayerFactory &amp;amp&semi;amp&semi; RenderVideo的绘制操作</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				MediaPlayerFactory MediaPlayerFactory像是一个解码库一样,初始化时,各个可用的播放器(MediaPlayerPrivate)向它注册.当需要解码时,由它给出一个合适的播放器(呼叫MediaPlayerPrivate::constructor,即MediaPlayerPrivate::create)创建一个实例[由MediaPlayer:: loadWithNextMediaEngine执行]).所以MediaPlayer与MediaPlayerPrivate应			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKkLZZb.html" rel="bookmark">js检测浏览器是否支持html5中的video标签的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 这篇文章主要介绍了使用js检测浏览器是否支持html5中的video标签的方法,需要的朋友可以参考下 代码如下: //检测是否支持HTML5 function checkVideo() {     if (!!document.createElement('video').canPlayType) {         var vidTest = document.createElement(&quot;video&quot;);         oggTest = vidTest.canPlayType			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0QPQ6p.html" rel="bookmark">使用js检测浏览器是否支持html5中的video标签的方法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				复制代码 代码如下: //检测是否支持HTML5function checkVideo() {    if (!!document.createElement('video').canPlayType) {        var vidTest = document.createElement(&quot;video&quot;);        oggTest = vidTest.canPlayType('video/ogg; codecs=&quot;theora, vorbis&quot;');  			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bB29jab.html" rel="bookmark">HTML5 video播放器全屏&lpar;fullScreen&rpar;方法实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 HTML5 video播放器全屏(fullScreen)方法实例  首先来说,这个标题具有误导性,但这样设置改标题也是主要因为video使用的比较多 在html5中,全屏方法可以适用于很多html 元素,不仅仅是video 代码如下: &lt;!doctype html&gt; &lt;html&gt; &lt;head&gt; &lt;meta charset=&quot;utf-8&quot; /&gt; &lt;title&gt;全屏问题&lt;/title&gt; &lt;meta http-e			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwlNwkb.html" rel="bookmark">HTML5 Video标签的属性、方法和事件汇总介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 HTML5 Video标签的属性.方法和事件汇总介绍 前段时间写了一个基于html5 video的视频播放器,从起初的对其不了解,然后到能够写一个基本完善的自定义播放器.在这个过程中,对video标签的属性,方法,事件有了个全面的认识.下面分类列出来一下. &lt;video&gt;标签的属性 代码如下: src :视频的属性 poster:视频封面,没有播放时显示的图片 preload:预加载 autoplay:自动播放 loop:循环播放 controls:浏览器自带的控制条 width:视频宽度			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/4MYRmZp.html" rel="bookmark" class="title">http协议- 使用http put把本地文件上传到服务器的的时候碰到的问题</a>
					<div>
						问题描述 使用http put把本地文件上传到服务器的的时候碰到的问题 各位好,我在用libcurl的接口往localhost服务器上传文件里上传文件的时候出现了下面的错误(用的机器系统是linuxm ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybjEQVz.html" rel="bookmark" class="title">c&sol;c&plus;&plus; 函数、常量、指针和数组的关系梳理</a>
					<div>
						压力才有动力,15年中旬就要准备实习,学习复习学习复习学习复习学习复习--无限循环中,好记性不如烂笔头--从数组开始,为主干. c 的array由一系列的类型相同的元素构成,数组声明包括数组元素个数和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LpdLvdp.html" rel="bookmark" class="title">Ajax超时验证脚本</a>
					<div>
						Ajax超时验证,代码如下: &lt;script type=&quot;text/javascript&quot;&gt; function Ajax(){ var xhr; if(window.X ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK7XJab.html" rel="bookmark" class="title">Unity3D如何连接Sqlite数据库</a>
					<div>
						环境介绍: Windows7,Unity3D,SQLite Expert Personal 3 开发语言: JavaScript 需要的dll文件: Mono.Data.Sqlite.dll和sqli ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGjrO2p.html" rel="bookmark" class="title">SharePoint 2010网站备份还原简介</a>
					<div>
						今天尝试了SharePoint2010网站的备份和还原,从网上搜一些文档看看,然后自己试试,感觉和2007的操作没什么太大的区别,跟大家分享下自己尝试的命令行方式和数据库的方式,2007自己常用的也是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLEQkb.html" rel="bookmark" class="title">ps打造超炫光束教程</a>
					<div>
						教程为大家介绍使用ps滤镜打造绚丽光束,主要制作方法是从简单的一个光源开始,多次经过变形及调色,最终变成绚丽的彩色光束.下面大家一起来试做一下吧. 教程最终效果 1.新建一个800 * 800 像素的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2wq9b.html" rel="bookmark" class="title">Photoshop制作反光水晶球</a>
					<div>
						水晶效果虽然不复杂,不过也不好把握.尤其是暗部与高光的刻画部分,需要协调好,这样才能把晶莹剔透的效果刻画出来. 最终效果 &lt;点小图查看大图&gt; 1.新建一个800 * 800像素的画布,背景 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDAZBKb.html" rel="bookmark" class="title">如何对齐Word文档里的小数点</a>
					<div>
						  1.选中需要对齐的表格数据,接着点击工具栏的&quot;开始&quot;→&quot;段落&quot;. 文档里的小数点-word小数点对齐&quot;&gt; 2.进入段落后,带年纪左下角的&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB28Qab.html" rel="bookmark" class="title">换电脑字体不变 Word文档自身携带字体</a>
					<div>
						经常使用U盘的朋友会遇到这样一个问题,在家里的电脑上使用Word编辑过的文档,用U盘带到单位去却发现不是原先的字体了,但文档中的内容依然没有改变,只是字体不见了.只是怎么回事呢? 原因:其实这是因为家 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oZyAb.html" rel="bookmark" class="title">Photoshop CS5百变画笔教程之梦幻彩环背景</a>
					<div>
						本教程中画笔的笔刷形状改为中间透明的圆形形态,画笔的设置和前几篇教程大同小异,但唯一的不同点是设置了笔刷的混合模式,这样绘制后将产生层次分明.颜色鲜亮的效果. (1)打开Photoshop CS5,单 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZd0vwM.html" rel="bookmark" class="title">PS如何制作虚线效果教程</a>
					<div>
						  最终效果图如下: 第一步:选中画笔工具,主直径为2(这个2随自己情况定义). 第二步:选中画笔之魂,按F5调整画笔,选中双重画笔,其他不要勾选,然后调整数值.如下图所示: 第三步:调整好之后,画出 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7ylvb.html" rel="bookmark" class="title">硬盘工作模式</a>
					<div>
						  现在主板支持三种硬盘工作模式:NORMAL.LBA和LARGE模式. NORMAL普通模式是最早的IDE方式.在此方式下对硬盘访问时,BIOS和IDE控制器对参数不作任何转换.该模式支持的最大柱面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJgvkp.html" rel="bookmark" class="title">【Python数据挖掘课程】六&period;Numpy、Pandas和Matplotlib包基础知识</a>
					<div>
						        前面几篇文章采用的案例的方法进行介绍的,这篇文章主要介绍Python常用的扩展包,同时结合数据挖掘相关知识介绍该包具体的用法,主要介绍Numpy.Pandas和Matplotlib三个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPB0Ap.html" rel="bookmark" class="title">从nosql中取出数据为json类型的字符串，是否需要转换下类型 ，然后再前台展示，</a>
					<div>
						问题描述 从nosql中取出数据为json类型的字符串,是否需要转换下类型 ,然后再前台展示, {&quot;22224&quot;:{&quot;201511046623792932&quot;:& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW2x5jb.html" rel="bookmark" class="title">登录后 长时间不操作 超时注销</a>
					<div>
						系统有自带设置可以实现session超时 Java代码   session.gc_maxlifetime = 1440 #(PHP5默认24分钟)   这里你可以随便设置一下过期时间.但是有人说设置以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWQj4p.html" rel="bookmark" class="title">Azure平台支持那些虚拟系统呢？更适合微软的系统么？</a>
					<div>
						问题描述 Azure平台支持那些虚拟系统呢?更适合微软的系统么? 更适合微软的操作系统么?我想知道性能是怎么样的,现在虚拟化是越来越火了! 解决方案 虽然Azure是微软提供的,但是对Linux的支持 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxY7rGp.html" rel="bookmark" class="title">常见的五类排序算法图解和实现（插入类：直接插入排序，折半插入排序，希尔排序）</a>
					<div>
						基本的五类排序算法(插入,选择,交换,归并,基数排序).排序:将数据元素的一个任意序列,重新排列成一个按关键字有序的序列. 排序的稳定性:待排序列中有大于等于2个相同的项,且排序前后,相同项的相对位置 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdROlAb.html" rel="bookmark" class="title">以前收集的一些资料---一些有关AUO和MMD的基本概念</a>
					<div>
						Active User Objects和The Membership Directory在网站的编程技术中我们经常遇到的问题是如何跟踪用户的信息,特别是当用户数量高达数百万的时候,可以很方便的管理用户 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEqdXM.html" rel="bookmark" class="title">虚拟货币新规迫使企业另寻路径</a>
					<div>
						上市网游企业股价下跌 网游新规迫企业寻找新路径 CFP图 6月下旬,文化部.商务部下发&lt;关于加强网络游戏虚拟货币管理工作的通知&gt;,指出同一企业不能同时经营虚拟货币的发行与交易,虚拟货币不得 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9xd5Kb.html" rel="bookmark" class="title">linux基础-Linux在ubuntu10&period;04中最基本的操作步骤，很急</a>
					<div>
						问题描述 Linux在ubuntu10.04中最基本的操作步骤,很急 T^T我是学生党,Linux在ubuntu中,编译过程的每一个环节步骤的操作指令,比如利用grid如何建文件.如何进入文件编程等等 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx0AQjM.html" rel="bookmark" class="title">智能家居产品并不是大众家庭必需</a>
					<div>
						动动手指,发出一个指令,就能让家居产品运作起来.很多人都向往电影中那种高科技的生活方式,却不知道,已经有智能家居走进了人们的生活.但是从目前智能家居行业来看,大多企业还处于造势.宣传阶段,虽然消费者对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4eGr8b.html" rel="bookmark" class="title">中捷股份涉矿消息提前泄露言行不一自打耳光</a>
					<div>
						5月17日,中捷股份(002021)在回答投资者提问时还明确表示&quot;没有收到涉矿信息&quot;,然而仅仅在一个星期后的5月25日,公司发布的一则关于整体收购内蒙古突泉县禧利多矿业的公告,无异 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLNGVM.html" rel="bookmark" class="title">亚马逊与出版巨头矛盾升级：作家盛会遭抵制</a>
					<div>
						导语:9月21日出版的&lt;纽约时报&gt;撰文称,由于亚马逊与Hachette出版公司的矛盾,该公司一年一度为知名作家举行的豪华篝火晚会,也有可能因此遭到抵制.以下为文章全文:篝火晚会当杰夫·贝佐 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2Z6Arb.html" rel="bookmark" class="title">Java正则表达式提取字符的方法实例&lowbar;正则表达式</a>
					<div>
						正好遇到一个需求需要将字符串中特定的字符全部提取出来,这个如果是按常规的字符串处理的话非常的繁琐.于是想到用正则表达式来完成.项目需求是这样的:需要提取车牌号中最后一个数字,比如说:苏A7865提取5 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1m1Zb.html" rel="bookmark" class="title">python网络编程实例简析&lowbar;python</a>
					<div>
						本文实例讲述了python网络编程,分享给大家供大家参考. 具体方法如下: 服务端代码如下: from SocketServer import(TCPServer as TCP, StreamRequ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj8K16p.html" rel="bookmark" class="title">三星SM-G1600手机如何使用应用锁功能&quest;</a>
					<div>
						1.在待机页面下,点击[设置].    2.向上滑动屏幕,点击[隐私权].    3.点击[应用锁].    4.点击右侧[滑块]开关.    5.根据需要选择一种应用程序锁定类型,这里以选择[混合密 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baqoPQb.html" rel="bookmark" class="title">手机黄祸缘何难了</a>
					<div>
						一些被 曝光过的手机色情网站,不仅没有被关闭,反而成为更多色情网站的中转站,大肆传播淫秽色情视频.图片.文字.这些手机色情网站为什么如此猖獗?前不久央视&lt;每周质量报告&gt;播出的&lt;手机黄 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0YO96p.html" rel="bookmark" class="title">疯狂的想法基于&period;NET的软件超市平台构想与5年实现之路</a>
					<div>
						在2005年的时候,我曾经基于.NET 2003开发了一个小的组件,这个组件的目的是为了解决模块化开发和模块复用的问题.我将该组件命名为Common Form Framework,它的目的是允许每一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA6mdJp.html" rel="bookmark" class="title">HPN-SSH &mdash;&mdash; 提升 OpenSSH 性能的补丁</a>
					<div>
						HPN-SSH 是一个高性能的 SSH/SCP 补丁.HPN-SSH 其实是 SSH 的一个补丁,对 SSH 本身的瓶颈进行处理. 使用该补丁的方法如下: Get the OpenSSH source ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNm57db.html" rel="bookmark" class="title">旅游社交APP&OpenCurlyDoubleQuote;在路上&rdquo;将获B轮融资 前携程高管加盟</a>
					<div>
						旅游社交应用&quot;在路上&quot;继年中获得阿里巴巴和红点数百万美元投资后,即将宣布获得B轮融资.而此前,原携程高管.携程旅游旅游开放平台总经理唐一波已于今年8月低调加入&quot;在路上&q ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
